RHEL 4 mysql problem

Discussion in 'Installation/Configuration' started by tahussle, Jul 21, 2007.

  1. tahussle

    tahussle New Member

    Hi all,
    An having problems running mysql
    when i execute mysql i get
    mysql: /lib/i686/libc.so.6: version `GLIBC_2.4' not found (required by /lib/libg cc_s.so.1)

    it was all working b4

    any suggestions on how to rectify this will be much appreciated
     
  2. falko

    falko Super Moderator ISPConfig Developer

    What exactly did you do before this error occurred?
     
  3. tahussle

    tahussle New Member

    Falco thanks for your reply.

    I installed RALUS the veritas agent .
    the files required were


    compat-libstdc++-33-3.2.3-47.fc4.i386.rpm
    libstdc++-3.2.2-5.i386.rpm


    before ralus will install.
     
  4. falko

    falko Super Moderator ISPConfig Developer

    I guess that's the problem. One of these two packages seems to have replaced /lib/i686/libc.so.6...
     
  5. tahussle

    tahussle New Member

    Yea I have tried removinf the packages but now says it depends on a whole lot of packages so cant remove. Is there a way to just remove the packages? Am used to debian and I know in debian I can use aptitude.
    Correction the system is a redhat 8
     
  6. falko

    falko Super Moderator ISPConfig Developer

    I guess that's what they call dependency hell... :(
    In the worst case, you'd have to reinstall the system...
     

Share This Page